The unfair way I got good at Leetcode

Video Statistics and Information

Video
Captions Word Cloud
Reddit Comments
Captions
lead code is hard not only because it's hard to be good enough to solve questions to land a job at a high-paying companies but also because it's hard to know how and exactly where to start when there is so much information available when I just got started I couldn't even solve an easy question well enough to pass an interview but I had no choice so I invested lots of time I made lots of mistakes but also learned a lot fast forwarding to today after passing many interviews and helping friends and random people who reached out to me on LinkedIn to pass their interviews and receive offers I realized that back then I wasn't bad I was just getting started especially in the beginning you should put more time into learning Solutions rather than solving questions so that you start developing intuition within that topic more quickly and then solve questions faster so for example if I'm now starting to learn binary trees instead of just choosing a list and then trying to Sol question by question question I would make two lists of easy and medium tree questions starting with the common ones and then I would separate each list again into two I will start with the first list and instead of trying to solve the question I will go to the solution and learn the common solution well after doing that for all of the questions in that list I will go to the second list and I'll start practicing when I land on a question that I could not come up with an answer for it can be a one-off or an outlier but when just starting it usually means that it's a new pattern I was not exposed to and I will learn that solution and move forward rather than wasting time on trying to solve the question I know this sounds quite controversial but give it a try and see if it also helps you get better at lead code much more efficiently which is what matters solving a question during an interview at least for me feels more like acting on a stage and the scene is that you solve a question rather than actually solving a question there is reason is is that you don't get to have even 5 minutes to think quietly and sketch some ideas you need to entertain the interviewer well not entertain per se but you need to keep them engaged share your thought process and walk them through what you're doing your attention is split which makes it really difficult to think that means I can only rely on intuition when I'm asked in the first few minutes I either know what the answer is thanks to something I've solved that is at least similar or don't and in that case I just try to get away with is asking the interviewer to have time to think and throw some ideas as they come until I land on something that might lead to a solution and usually interviews will also nudge you towards the right direction when you voice it so once you have practiced for long enough so that you're able to solve medium level questions if you stop there it will probably not be enough then you would need to practice on websites like pramp and start solving these questions when your attention is more split compared to when you solve questions on your own and get good at solving Technic questions in an interview style although over time the more you interview you will naturally get better at this it's not about quantity alone nor quality alone you need both quality means that you follow a road map that exposes you to the most common questions and topics to practice so that you have a sound starting point this way you can slowly work your way to expand the spectrum of questions that you can intuitively recognize you should spend your time to practice according to this pyramid focus on the lower building blocks since they are the foundation for learning the upper topics but also are more likely to be patterns for the types of questions that you will see during the interviews for example I've never been given a question on dynamic programming whether I interviewed at Fang a popular startup or a mid-tier paying company but I have been given a lot of questions on arrays similar to the common ones but somewhere on trees backtracking and priority cues something additional I've noticed during the 15 plus interviews I've done is that the more the question you asked is higher into this pyramid the more similar it is to common questions in that topic so when I was asked a question on trees it was virtually identical to a common tree question of Thoroughly solved before which helped me to easily solve the question during the interview on the other hand when the question was on a raise it was more elaborate and not one to one something I've seen before even though it was sold using the same pattern from com questions from before it required more adjustments which is why sometimes being asked about less common topics can make things easier for you when you had practiced several such questions make sure that you're not solving questions for the sake of solving questions I know it sounds strange but when I practiced initially I got caught up with all the community trying to learn the best or fastest solution and so on but I was wasting lots of time when you interview the solution you need is the solution that gets you to pass the interview you do it consistently and that's how you land offers this rarely means having the shorter solution or an exotic one that is better time complexity wise than a reasonable common solution that is usually suggested to that question when you're interviewing there will be specific posts and lists sometimes even for smaller companies so research and practice these questions that others have posted I've seen more than once a question I was asked which was identical to a question someone else posted on a website like lead code or glass door with some companies you will have around with the hiring manager that will sometimes be technical but often will also include some of the high level related to what the company does when you know you have a around with the hiring manager do your D diligence about the company and their engineering work think about their challenges and things that they had to overcome and weave that in the conversation each time I had around with the hiring manager I could see how doing this at some point made me Vibe with the hiring manager and I could see how so long I don't do awfully on the technical questions I will have the offer finally just remember to give yourself time and consistently practice before you can really get good it took me well over a year of practicing each day with no exceptions to get to a point where I interview pretty well and can pass interviews when you start it's a marathon you will most likely also need to practice for a very long time at least if you're like me but afterwards it will be more like a Sprint where thanks to all of that practice you can recall and can quickly get in an interviewing shape when you need to with that said thank you so much for watching and I hope to see you in the next one [Music] bye
Info
Channel: Dave Burji
Views: 395,422
Rating: undefined out of 5
Keywords:
Id: GPIuPRqDGG8
Channel Id: undefined
Length: 6min 46sec (406 seconds)
Published: Mon Dec 04 2023
Related Videos
Note
Please note that this website is currently a work in progress! Lots of interesting data and statistics to come.